-- Cerradon Source
-- Created by Raptr Studios
-- http://raptrstudios.weebly.com/
-- Remember to ask before using any of this code!

-- Libraries
require('source/lib/AnAL')
require('source/lib/gamera')

-- Custom Libraries
require('source/lib/game_manager')
require('source/lib/graphics')
require('source/lib/map')
require('source/lib/player')
require('source/lib/camera_setup')
require('source/lib/timer')
require('source/lib/collision')
require('source/lib/special')
require('source/lib/menu')
menus = require('source/lib/menus')
require('source/lib/save')

function love.load()
	love.graphics.setDefaultFilter("nearest", "nearest")
	Player:new()
	check_save()
	read_save()
	assign_save()
	check_for_cheat()
	check_system()
	gamestate = 'startup'
	interactives_setup()
	create_mainMenu()
	create_shopMenu()
	camera_setup()
	rules()
	anim()
	graphics()
	define()
	isSpecial = false
	timer_new(10)
	petIsOn = false
end

function love.draw()
	gamestate_manage()
	if gamestate == 'world' then
		ui()
	end
end

function love.update(dt)
	cam:setPosition(player_object.x, player_object.y)
	Player:update(dt)
	walkLeft:update(dt)
	walkRight:update(dt)
	main_menu:update(dt)
	shop_menu:update(dt)
	jump_update(dt)
	register_update(dt)
	keys(dt)
	check_interactives()
end

function love.keypressed(key)
	if gamestate == 'menu' then
		main_menu:keypressed(key)
	end
	
	if gamestate == 'world' then
		shop_keyboard(key)
	end
end

function love.quit()
    love.filesystem.write("save.dat", player_object.x..'\n'..player_object.y..'\n'..player_currency..'\n'..player_items)
    love.event.quit()
end